/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCB */
#define  PANEL_FANSPEED                   2       /* control type: numeric, callback function: (none) */
#define  PANEL_SETFANSPEED                3       /* control type: command, callback function: setFanSpeed */
#define  PANEL_FANSPEEDOUT                4       /* control type: numeric, callback function: (none) */
#define  PANEL_GETFANMODE                 5       /* control type: command, callback function: getFanMode */
#define  PANEL_SETFANMODE                 6       /* control type: binary, callback function: setFanMode */
#define  PANEL_FANMODEOUT                 7       /* control type: textMsg, callback function: (none) */
#define  PANEL_GETFANSPEED                8       /* control type: command, callback function: getFanSpeed */
#define  PANEL_TEXTMSG                    9       /* control type: textMsg, callback function: (none) */
#define  PANEL_TEXTMSG_2                  10      /* control type: textMsg, callback function: (none) */


     /* Control Arrays: */

          /* (no control arrays in the resource file) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK getFanMode(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK getFanSpeed(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK panelCB(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK setFanMode(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK setFanSpeed(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
